# frozen_string_literal: true

require "ultex/eos/version"
require "active_support/core_ext/object/blank"
require "active_support/core_ext/enumerable"
require "peatio"

module Peatio
  module Eos
    require "bigdecimal"
    require "bigdecimal/util"

    require "ultex/eos/blockchain"
    require "ultex/eos/client"
    require "ultex/eos/wallet"
    require "ultex/eos/transaction_serializer"

    require "ultex/eos/hooks"
    require "ultex/eos/version"
  end
end
